--- register.c.old	2003-08-23 14:00:39.000000000 -0400
+++ register.c	2003-09-25 20:11:13.000000000 -0400
@@ -1,4 +1,4 @@
-/* $Id: register.c,v 1.18 2003/08/23 18:00:39 relson Exp $ */
+/* $Id: register.c,v 1.19 2003/09/26 00:11:13 relson Exp $ */
 
 /* register.c -- read input with collect and register to persistent db */
 
@@ -29,6 +29,7 @@
   const char *r="",*u="";
   hashnode_t *node;
   wordprop_t *wordprop;
+  run_t save_run_type = run_type;
 
   int wordcount = h->count;	/* use number of unique tokens */
 
@@ -57,6 +58,11 @@
     (void)fprintf(dbgout, "# %d word%s, %d message%s\n", 
 		  wordcount, PLURAL(wordcount), msgcount, PLURAL(msgcount));
 
+  /* When using auto-update with separate wordlists , 
+     datastore.c needs to know which to update */
+
+  run_type |= _run_type;
+
 /*
   set_list_active_status(false);
 */
@@ -78,7 +84,6 @@
 
   for (list = word_lists; list != NULL; list = list->next)
   {
-
 /*
       if (!list->active)
 	  continue;
@@ -109,6 +114,8 @@
 	  (void)fprintf(stderr, "bogofilter: list %s - %ld spam, %ld good\n",
 			list->filename, list->msgcount[IX_SPAM], list->msgcount[IX_GOOD]);
   }
+
+  run_type = save_run_type;
 }
 
 /* this function accumulates the word frequencies from the src hash to
